<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full bg-white flex justify-center overflow-y-auto" #detail>
  <div class="container w-full h-full flex flex-col">
    <div class="mt-4">
      <p-button label="Back" icon="pi pi-chevron-left" [link]="true" severity="secondary" (click)="onButtonClick($event)"></p-button>
    </div>
    <div *ngIf="backButtonPosFixed" class="fixed top-0 left-0 z-50 w-full bg-white flex flex-col items-center border-b-2 border-primary-100">
      <div class="container">
        <div class="flex items-center gap-6">
          <p-button label="Back" icon="pi pi-chevron-left" [link]="true" severity="secondary" size="small" (click)="onButtonClick($event)"></p-button>
          <div *ngIf="scrolled" class="transition-opacity" [ngClass]="{ 'opacity-100': scrolledVisible, 'opacity-0': !scrolledVisible }">
            <ng-template [ngTemplateOutlet]="scrolled"></ng-template>
          </div>
        </div>
      </div>
    </div>
    <div class="grow px-6 mt-6 w-full">
      <ng-content></ng-content>
    </div>
  </div>
</div>
